Bug 888592 - RFE: Options to customize translation editor display
Summary: RFE: Options to customize translation editor display
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Usability (Show other bugs)
(Show other bugs)
Version: development
Hardware: Unspecified Unspecified
unspecified
medium
Target Milestone: ---
: 2.1
Assignee: Patrick Huang
QA Contact: Ding-Yi Chen
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-18 23:26 UTC by Patrick Huang
Modified: 2013-02-26 04:06 UTC (History)
1 user (show)

Fixed In Version: 2.1-SNAPSHOT (20121220-0033
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-26 04:06:19 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Patrick Huang 2012-12-18 23:26:51 UTC
Description of problem:
As a translator I want to customize my translation editor look and feel to maximize screen usage so that I can focus on just translation work. 

From the discussion during collaboration session, there are requests that:
- TM should be optional(i.e. some user don't use it)
- Glossary should be optional(i.e. some language don't have any glossary)
- Trans Unit details should be optional when there is no important information in it (i.e. no comment or message context)
- Reduce unnecessary space between rows

Options should be persistable so that users can save their options and don't have to change it every time they log in.

Comment 1 Patrick Huang 2012-12-19 00:40:20 UTC
committed into master:
https://github.com/zanata/zanata/commit/9ec3e4c725dc8ae2ad1b73121420cfb855701b55

Comment 2 Ding-Yi Chen 2012-12-19 23:34:35 UTC
VERIFIED with Zanata version 2.1-SNAPSHOT (20121220-0033


Note You need to log in before you can comment on or make changes to this bug.